Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jdeveloper.html
Class HTMLFormField

    java.lang.Object
      |
      +--oracle.jdeveloper.html.HTMLElement
            |
            +--oracle.jdeveloper.html.HTMLTableCell
                  |
                  +--oracle.jdeveloper.html.HTMLFormField

public class HTMLFormField
extends HTMLTableCell

This represents a FORM's field. You can construct variations on this object by passing different HTMLElement classes for the label and the element. The label will show up to the left of the element when rendered inside the HTML FORM.

Version:
  PUBLIC

Field Summary
`protected HTMLElement` | `Label`
`protected boolean` | `useLabel`

Fields inherited from class oracle.jdeveloper.html.HTMLTableCell
`Element, hasClass`

Fields inherited from class oracle.jdeveloper.html.HTMLElement
`sClassName`

Constructor Summary
`HTMLFormField(HTMLElement Label, HTMLElement Element)` Constructor providing a label and an element.
`HTMLFormField(HTMLElement Label, HTMLElement Element, boolean useLabel)` Constructor providing a label, element and a boolean that controls wether to use the label or not.

Method Summary
`void` | `render(java.io.PrintWriter out)`

Methods inherited from class oracle.jdeveloper.html.HTMLElement
`fixFieldValueForHTML, getAsString, getCSSClassName, render, setCSSClassName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Label

    protected HTMLElement Label

### useLabel

    protected boolean useLabel

Constructor Detail

### HTMLFormField

    public HTMLFormField(HTMLElement Label,
                         HTMLElement Element)

  Constructor providing a label and an element. The label will be used.

### HTMLFormField

    public HTMLFormField(HTMLElement Label,
                         HTMLElement Element,
                         boolean useLabel)

  Constructor providing a label, element and a boolean that controls wether to use the label or not.

Method Detail

### render

    public void render(java.io.PrintWriter out)
                throws java.lang.Exception

  Overrides:
    render in class HTMLTableCell

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD